[project]
name = "semesterapparatsmanager"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "beautifulsoup4>=4.12.3",
    "bump-my-version>=0.29.0",
    "chardet>=5.2.0",
    "comtypes>=1.4.9",
    "darkdetect>=0.8.0",
    "docx2pdf>=0.1.8",
    "loguru>=0.7.3",
    "mkdocs>=1.6.1",
    "mkdocs-material>=9.5.49",
    "mkdocs-material-extensions>=1.3.1",
    "natsort>=8.4.0",
    "omegaconf>=2.3.0",
    "pandas>=2.2.3",
    "playwright>=1.49.1",
    "pyqt6>=6.8.0",
    "pyqtgraph>=0.13.7",
    "python-docx>=1.1.2",
    "pyzotero>=1.6.4",
    "ratelimit>=2.2.1",
    "requests>=2.32.3",
]

[dependency-groups]
dev = [
    "bump-my-version>=0.29.0",
    "icecream>=2.1.4",
    "nuitka>=2.5.9",
]
